For the complete documentation index, see llms.txt. This page is also available as Markdown.

Custom OCR

OCR Custom Text Extraction API

This custom text extraction API is a Datasaur feature which allows creating a custom OCR project using your own text extraction API.

Request from Datasaur

POST https://custom-text-extractor.com/text-extraction/example

Request headers

Accept

application/json, text/plain

Form Data Parameters

upload

Your document file (e.g.: receipt.jpg)

Expected API Response

Datasaur can process the response differently based on the Content-Type header returned from the API response.

Text response (Content-Type: text/plain)

SHIHLIN TAIWAN
STREET SNACKS
Grand Galaxy Park
DATE 26/02/20 15:53
CASHIER: Reny
No. Customer: 1

JSON response (Content-Type: application/json)

Datasaur uses Importable format to process the API response.

Apply custom API

ASR Custom Text Extraction API

This custom text extraction API is a Datasaur feature which allows creating a custom Audio project using your own text extraction API.

Request from Datasaur

POST https://custom-text-extractor.com/text-extraction/example

Request headers

Accept

application/json, text/plain

Form Data Parameters

upload

Your document file (e.g.: audio2.flac)

Expected API Response

Datasaur can process the response differently based on the Content-Type header returned from the API response.

Text response (Content-Type: text/plain)

JSON response (Content-Type: application/json)

Datasaur uses Importable format to process the API response.

Apply custom API

Custom API capabilities are only supported in team workspaces. If you would like access, please email us at support@datasaur.ai.

Last updated